package com.jeeplus.human.enrollment.enrollmentRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 培训经历
 * @version 1.0
 * @date
 */
@Data
@TableName("human_resources_enrollment_reward_info")
public class EnrollmentRewardInfo extends BaseEntity {
    //奖项
    private String name;
    //获奖日期
    private Date rewardDate;
    //简述
    private String description;
    //附件
    @TableField(exist = false)
    private List<WorkAttachmentInfoDTO> files;

    /** 关联id */
    private String enrollmentRegistrationId;
    /** 用户id */
    private String userId;


    /** 状态 */
    private String status;

}
