package com.jeeplus.human.enrollment.enrollmentRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 社会及行业职务
 * @version 1.0
 * @date
 */
@Data
@TableName("human_resources_enrollment_society_info")
public class EnrollmentSocietyInfo extends BaseEntity {
    /**
     * 关联id
     */
    private String enrollmentRegistrationId;

    /**
     * 职务名称
     */
    private String name;

    /**
     * 任职机构
     */
    private String institution;

    /**
     * 开始时间
     */
    private Date startDate;

    /**
     * 结束时间
     */
    private Date endDate;

    /** 用户id */
    private String userId;

    /** 状态 */
    private String status;
}
