package com.jeeplus.human.enrollment.enrollmentRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 培训经历
 * @version 1.0
 * @date
 */
@Data
@TableName("human_resources_enrollment_training_info")
public class EnrollmentTrainingInfo extends BaseEntity {



    /** 名称 */
    private String name;

    /** 培训机构 */
    private String trainingInstitution;

    /** 培训成绩 */
    private String trainingResult;

    /** 关联id */
    private String enrollmentRegistrationId;

    /**
     * 附件
     */
    @TableField(exist = false)
    private List<WorkAttachmentInfoDTO> files;
    /** 用户id */
    private String userId;

    /** 状态 */
    private String status;
}
