package com.jeeplus.human.enrollment.enrollmentRegistration.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.enrollment.enrollmentRegistration.domain.EnrollmentCertificateInfo;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @version 1.0
 * @date
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface EnrollmentCertificateInfoMapper extends BaseMapper<EnrollmentCertificateInfo> {
    EnrollmentCertificateInfo getById(@Param("id") String id);

    List<EnrollmentCertificateInfo> getByRegistrationId(@Param("enrollmentRegistrationId") String enrollmentRegistrationId);

    List<WorkAttachmentInfoDTO> findDtos(@Param("id")String id);

   void deleteByRegistrationId(@Param("enrollmentRegistrationId") String enrollmentRegistrationId);


    int updateCertById(EnrollmentCertificateInfo enrollmentCertificateInfo);


}
