package com.jeeplus.human.enrollment.enrollmentRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 培训经历
 * @version 1.0
 * @date
 */
@Data
@TableName("human_resources_enrollment_contract_info")
public class EnrollmentLaborContractInfo extends BaseEntity {

    /** 合同类型 */
    private String type;

    /** 合同编号 */
    private String code;

    /** 期限 */
    private String term;
    /** 合同起始日期 */
    private Date startDate;

    /** 合同结束日期 */
    private Date endDate;
    /** 试用期结束日期 */
    private Date trialEndDate;

    /** 办理日期 */
    private Date processeDate;

    /**
     * 附件
     */
    @TableField(exist = false)
    private List<WorkAttachmentInfoDTO> files;
    /** 用户id */
    private String userId;

    /** 状态 */
    private String status;


    /** 关联id */
    private String enrollmentRegistrationId;

}
