package com.jeeplus.human.enrollment.enrollmentRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 社会及行业职务
 * @version 1.0
 * @date
 */
@Data
@TableName("human_resources_enrollment_performance_info")
public class EnrollmentPerformanceInfo extends BaseEntity {
    /**
     * 关联id
     */
    private String enrollmentRegistrationId;
    private String name;
    private String client;
    private String type;
    private String info;
    private String position;
    private String participateContent;

    /** 用户id */
    private String userId;

    /** 状态 */
    private String status;
}
