package com.jeeplus.human.enrollment.enrollmentRegistration.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.enrollment.enrollmentRegistration.domain.EnrollmentFamilyInfo;
import com.jeeplus.human.enrollment.enrollmentRegistration.domain.EnrollmentWorkInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @version 1.0
 * @date
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface EnrollmentFamilyInfoMapper extends BaseMapper<EnrollmentFamilyInfo> {
    EnrollmentFamilyInfo getById(@Param("id") String id);

    List<EnrollmentFamilyInfo> getByRegistrationId(@Param("enrollmentRegistrationId") String enrollmentRegistrationId);
   void deleteByRegistrationId(@Param("enrollmentRegistrationId") String enrollmentRegistrationId);

}
